<?xml version="1.0" encoding="UTF-8"?>
<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">
  <interactiveMode>false</interactiveMode>
  <servers>
    <server>
      <id>coremedia.external.releases</id>
      <username>{{ coremedia_build_release.download_username }}</username>
      <password>{{ coremedia_build_release.download_password }}</password>
    </server>

{% if coremedia_build.docker_registry.host is defined %}
    <server>
      <id>{{ coremedia_build.docker_registry.host }}</id>
      {% if coremedia_build.docker_registry.username is defined %}
      <username>{{ coremedia_build.docker_registry.username }}</username>{% endif %}
      {% if coremedia_build.docker_registry.password is defined %}
      <password>{{ coremedia_build.docker_registry.password }}</password>{% endif %}
      <configuration>
        <email>build@cm.local</email>
      </configuration>
    </server>
{% endif %}
  </servers>
<!--
  <pluginGroups>
    <pluginGroup>com.coremedia.maven</pluginGroup>
    <pluginGroup>org.sonatype.plugins</pluginGroup>
  </pluginGroups>
-->
</settings>
